# -*- coding: utf8 -*-
from pyramid.view import view_config

from ringo_bmasreport.reports.durchfuehrungsbericht import (
    filters,
    recipe,
)
from efa.views.frueherkennung import report_targetsystem
from euhu.programs.sib import validate

from sib.model.participation import SIBParticipation as Participation
from sib.model.participant import indicators, derive_indicators


@view_config(route_name='frueherkennung', renderer='frueherkennung.mako')
def frueherkennung_view(request):
    return report_targetsystem(request, "sib", Participation, recipe, validate,
                               derive_indicators, indicators, filters)


@view_config(route_name='frueherkennung_fp2', renderer='frueherkennung.mako')
def fruherkennung_fp2_view(request):
    return report_targetsystem(request, "sib", Participation, recipe, validate,
                               derive_indicators, indicators, filters, fp=2)
